- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# netconn Struct Reference

`#include <api.h>`

## Data Fields
sys_mbox_t | acceptmbox
err_t | err
sys_mbox_t | mbox
union {
tcp_pcb * tcp
udp_pcb * udp
} | pcb
sys_mbox_t | recvmbox
sys_sem_t | sem
enum netconn_state | state
enum netconn_type | type

## Detailed Description

Definition at line 75 of file api.h.

## Field Documentation

sys_mbox_t netconn::acceptmbox

Definition at line 85 of file api.h.

Referenced by accept_function(), do_listen(), err_tcp(), netconn_accept(), netconn_delete(), netconn_listen(), and netconn_new().

err_t netconn::err

Definition at line 82 of file api.h.

Referenced by accept_function(), do_bind(), do_close(), do_connect(), do_connected(), do_listen(), do_write(), err_tcp(), netconn_addr(), netconn_bind(), netconn_close(), netconn_connect(), netconn_err(), netconn_listen(), netconn_peer(), netconn_recv(), netconn_send(), netconn_write(), and recv_tcp().

sys_mbox_t netconn::mbox

Definition at line 83 of file api.h.

Referenced by accept_function(), do_bind(), do_close(), do_connect(), do_connected(), do_delconn(), do_listen(), do_recv(), do_send(), do_write(), err_tcp(), netconn_bind(), netconn_close(), netconn_connect(), netconn_delete(), netconn_listen(), netconn_new(), netconn_recv(), netconn_send(), and netconn_write().

union { ... } netconn::pcb

Referenced by accept_function(), do_accept(), do_bind(), do_close(), do_connect(), do_delconn(), do_listen(), do_recv(), do_send(), do_write(), err_tcp(), netconn_addr(), netconn_new(), netconn_peer(), netconn_recv(), netconn_write(), and setup_tcp().

sys_mbox_t netconn::recvmbox

Definition at line 84 of file api.h.

Referenced by accept_function(), err_tcp(), netconn_bind(), netconn_connect(), netconn_delete(), netconn_new(), netconn_recv(), recv_tcp(), and recv_udp().

sys_sem_t netconn::sem

Definition at line 86 of file api.h.

Referenced by accept_function(), err_tcp(), netconn_close(), netconn_delete(), netconn_new(), netconn_write(), poll_tcp(), and sent_tcp().

enum netconn_state netconn::state

Definition at line 77 of file api.h.

Referenced by netconn_close(), netconn_new(), netconn_write(), and poll_tcp().

struct tcp_pcb* netconn::tcp

Definition at line 79 of file api.h.

Referenced by accept_function(), do_accept(), do_bind(), do_close(), do_connect(), do_delconn(), do_listen(), do_recv(), do_send(), do_write(), err_tcp(), netconn_addr(), netconn_new(), netconn_peer(), netconn_recv(), netconn_write(), and setup_tcp().

enum netconn_type netconn::type

Definition at line 76 of file api.h.

Referenced by accept_function(), do_accept(), do_bind(), do_close(), do_connect(), do_connected(), do_delconn(), do_listen(), do_recv(), do_send(), do_write(), netconn_addr(), netconn_bind(), netconn_delete(), netconn_new(), netconn_peer(), netconn_recv(), netconn_type(), and netconn_write().

struct udp_pcb* netconn::udp

Definition at line 80 of file api.h.

Referenced by do_bind(), do_connect(), do_delconn(), do_send(), netconn_addr(), and netconn_peer().

The documentation for this struct was generated from the following file:

- src/sys/include/net/api.h